﻿$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/nik9play/tinyBrightness/releases/download/1.130/Release.zip'

$pp = Get-PackageParameters # get params

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum 	    = '55F52A76C3B7E59503DFCCBC8066CB6C7E0F1038632E728DCBE531E14C6614F2'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

if ($pp['NoDesktopIcon'] -eq 'true') {} else {
	Install-ChocolateyShortcut -ShortcutFilePath "$env:USERPROFILE\\Desktop\\tinyBrightness.lnk" -TargetPath "$toolsDir\\tinyBrightness.exe" -WorkingDirectory $toolsDir
}

if ($pp['NoStartMenuIcon'] -eq 'true') {} else {
	Install-ChocolateyShortcut -ShortcutFilePath "$env:PROGRAMDATA\\Microsoft\\Windows\\Start Menu\\Programs\\tinyBrightness.lnk" -TargetPath "$toolsDir\\tinyBrightness.exe" -WorkingDirectory $toolsDir
}